##Time-stamp: <29-06-2007 10:45:41 ste PC69>

########################################################
## This code defines some basic functions used in FLUSH
##
## Author: Stefano Calza
## First version: 28 May 2007
##
## Note: radical library redesign from version 0.1.0
##
#######################################################


## Fit rlm model for a probeset and compute the Array and Residual variance components

RA.fit <- function(X,y,nr,p,ln,start.p,n.b)
  {

    ## this is a residual from previous code. I'll remove it eventually.
    use.w = 1 ## use weights
    use.cov = 1 ## use the whole Cov matrix
    
    ## fit the model. As output we need only betas, residuals and weights
    fit <- .C("flush_rlm_fit_R",as.double(X),as.double(y),as.integer(nr),
              as.integer(p), double(p), double(ln),double(ln),
              PACKAGE="FLUSH")[5:7]
    
    ## get residSD and Array effect
    vfit <- unlist(.C("flush_rlm_compute_se_R",as.double(X),as.double(y),
                      as.integer(nr), as.integer(p),as.double(fit[[1]]),as.double(fit[[2]]),
                      as.double(fit[[3]]),double(1), double(1), double(1),as.integer(start.p),
                      as.integer(n.b),as.integer(use.w),as.integer(use.w),
                      PACKAGE="FLUSH")[c(8,10)])
                   

    return(vfit)
    
  }


## Function to build a designa matrix (using helmert contrasts)

make.design <- function(nsamples,nprobes)
  {
    Xprob <- matrix(rep(t(contr.helmert(nprobes)),nsamples),byrow=T,ncol=nprobes-1)
    Xsmp <- matrix(rep(contr.helmert(nsamples),each=nprobes),ncol=nsamples-1)
    ans <- cbind(rep(1,nrow(Xprob)),Xprob,Xsmp)
    ans
  }
