\name{Flush-methods}
\docType{methods}
\alias{Flush-methods}
\alias{Flush,ExpressionSet-method}
\alias{Flush,matrix-method}
\alias{Flush}
\title{Flush genes}
\description{
Perform filetring algorithm on an object of class exprSet or matrix,
returning a subsetted object.
}
\usage{
\S4method{Flush}{matrix}(object, RA, check = TRUE, ...)
\S4method{Flush}{ExpressionSet}(object, RA, check = TRUE, onlyExprs =
TRUE, which = 1)
}
\arguments{
  \item{object}{An object of class exprSet or matrix}
  \item{RA}{An object of class RA as from fitRA and then FlushSet}
  \item{check}{logical. If TRUE some additional check on probes name
    consistency are performed.}
  \item{onlyExprs}{logical. If TRUE returns an object of class
    ExpressionSet with the selected features. If FALSE an object of
    class FLUSH is returned with the RA object included (for
    plotting)}
  \item{which}{}
  \item{...}{additional arguments.Not used.}
}
\details{
}
\value{
  An object of class FLUSH
}
\references{Stefano Calza, Wolfgang Raffelsberger, Alexander Ploner, Jose Sahel, Thierry Leveillard
and Yudi Pawitan. Filtering genes to improve sensitivity in oligonucleotide
microarray data analysis - 2007 Submitted}
\author{Stefano Calza <calza@med.unibs.it> }
\note{
}
\seealso{\code{\link{RAplot}}, \code{\link{fitRA}}, \code{\link{FlushSet}}}
\examples{

\dontrun{
data(choe.MAS5)
data(choe)

choe.RA <- fitRA(choe)
choe.fSet <- FlushSet(choe.RA)
choe.Flush <- Flush(choe.MAS5,choe.fSet, onlyExprs = FALSE)
}
}
\keyword{methods}
\keyword{manip}

